const { ipcRenderer, shell } = require('electron');

window.addEventListener('DOMContentLoaded', () => {

    // Check if online
    const current = window.location.href;
    if(navigator.onLine && (current.includes("offline.html") || current.includes("index.html"))) {
        setTimeout(() => {
            ipcRenderer.send("online");
        }, 1000)
    }else if(!navigator.onLine && !current.includes("offline.html")) {
        // Redirect to /offline.html
        setTimeout(() => {
            window.location.href = "./offline.html"
        }, 1000)
    }else{
        Loader(false);
    }

    // If current page is ?page=launcher
    if(current.includes("?page=launcher")) {
        // Unset fullscreen
        ipcRenderer.send("fullscreen", false);

        // Open all link with target="_blank" in default browser
        document.querySelectorAll("a[target='_blank']").forEach((a) => {
            a.addEventListener("click", (e) => {
                e.preventDefault();
                require("electron").shell.openExternal(a.href);
            })
        })
    }

    // Play button click event listener (Loader)
    document.querySelector(".play")?.addEventListener("click", (e) => {
        Loader(true);
        ipcRenderer.send("fullscreen", true);
    });

    // Login form submit event listener (Loader)
    document.querySelector("#login-form")?.addEventListener("submit", () => {
        Loader(true);
    });

})

function Loader(bool) {
    const loader = document.getElementById("loader");
    if(!loader) return;

    if(bool) {
        loader.style.display = "block";
    }else {
        loader.style.display = "none";
    }
}

// navigator.onLine
// window.addEventListener('online', updateOnlineStatus)
// window.addEventListener('offline', updateOnlineStatus)